Loading...
Searching...
No Matches
VmaAllocationInfo2 Struct Reference
Memory allocation

Extended parameters of a VmaAllocation object that can be retrieved using function vmaGetAllocationInfo2(). More...

## Public Attributes

VmaAllocationInfo | allocationInfo
| Basic parameters of the allocation.
VkDeviceSize | blockSize
| Size of the VkDeviceMemory block that the allocation belongs to.
VkBool32 | dedicatedMemory
| VK_TRUE if the allocation has dedicated memory, VK_FALSE if it was placed as part of a larger memory block.

## Detailed Description

Extended parameters of a VmaAllocation object that can be retrieved using function vmaGetAllocationInfo2().

## Member Data Documentation

## allocationInfo

VmaAllocationInfo VmaAllocationInfo2::allocationInfo

Basic parameters of the allocation.

If you need only these, you can use function vmaGetAllocationInfo() and structure VmaAllocationInfo instead.

## blockSize

VkDeviceSize VmaAllocationInfo2::blockSize

Size of the VkDeviceMemory block that the allocation belongs to.

In case of an allocation with dedicated memory, it will be equal to allocationInfo.size.

## dedicatedMemory

VkBool32 VmaAllocationInfo2::dedicatedMemory

VK_TRUE if the allocation has dedicated memory, VK_FALSE if it was placed as part of a larger memory block.

When VK_TRUE, it also means VkMemoryDedicatedAllocateInfo was used when creating the allocation (if VK_KHR_dedicated_allocation extension or Vulkan version >= 1.1 is enabled).

The documentation for this struct was generated from the following file:

- vk_mem_alloc.h